package de.linuxusers.levenshtein.test;

import junit.framework.TestCase;
import de.linuxusers.levenshtein.util.SimpleLevenshtein;

/**
 * Unit test for a large number of insert/delete/replace combinations.
 * @author nott
 * @version $Id: LevenshteinUnitTest.java 42 2010-05-17 12:46:34Z niels $
 */
public class LevenshteinUnitTest extends TestCase {
	
	public void testSingleInsert() {
		assertEquals((float)1,SimpleLevenshtein.getStringDistance("", "A"));
	}

	public void testSingleDelete() {
		assertEquals((float)1, SimpleLevenshtein.getStringDistance("A", ""));
	}

	public void testSingleReplace() {
		assertEquals((float)1,SimpleLevenshtein.getStringDistance("A", "X"));
	}
	

	public void testDoubleInsert() {
		assertEquals((float)2,SimpleLevenshtein.getStringDistance("", "AB"));
	}

	public void testDoubleDelete() {
		assertEquals((float)2,SimpleLevenshtein.getStringDistance("AB", ""));
	}

	public void testDoubleReplace() {
		assertEquals((float)2,SimpleLevenshtein.getStringDistance("AB", "XY"));
	}
	
	public void testMultiInsert() {
		assertEquals((float)5,SimpleLevenshtein.getStringDistance("", "AB123"));
	}

	public void testMultiDelete() {
		assertEquals((float)5, SimpleLevenshtein.getStringDistance("AB123", ""));
	}

	public void testMultiReplace() {
		assertEquals((float)5,SimpleLevenshtein.getStringDistance("AB123", "XY789"));
	}
	
	public void testInsertMore1() {
		assertEquals((float)3,SimpleLevenshtein.getStringDistance("AB", "AB123"));
	}

	public void testInsertMore2() {
		assertEquals((float)2, SimpleLevenshtein.getStringDistance("AB123", "123"));
	}

	public void testReplaceSome() {
		assertEquals((float)4,SimpleLevenshtein.getStringDistance("LK123UV", "AB123XY"));
	}

	
}
