/*
Copyright (C) 2007-2009 Ramon Ziai
Copyright (C) 2007-2009 Niels Ott

Licensed under the Apache License, Version 2.0 (the "License"); you may not use 
this file except in compliance with the License. You may obtain a copy of the 
License at 
     http://www.apache.org/licenses/LICENSE-2.0 
Unless required by applicable law or agreed to in writing, software distributed 
under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
CONDITIONS OF ANY KIND, either express or implied. See the License for the specific
language governing permissions and limitations under the License.
 */


package de.linuxusers.levenshtein.util;

/**
 * This class contains static helper methods for converting data.
 * 
 * @version $Id: Conversion.java 33 2009-01-23 13:10:34Z niels $
 * @author Ramon Ziai
 * @author Niels Ott
 */
public class Conversion {

	/**
	 * Converts a String to an array of {@link Character}.
	 * This is not the same as {@link String#toCharArray()}, which
	 * returns elements of char.
	 * @param s the string to convert.
	 * @return an array containing the {@link Character}s of the string.
	 */
	public static Character[] convertToArray(String s) {
		Character[] result = new Character[s.length()];
		
		for (int i = 0; i < s.length(); i++) {
			result[i] = s.charAt(i);
		}
		return result;
	}
}
